%define name gnome-toaster
%define version 20000227
%define release 3mdk
%define %prefix /usr

Name: %name
Summary: CD-Recording frontend for GNOME
Summary(fr): interface graphique pour la cration de CD-R sous GNOME
Version: %version
Release: %release
Source: http://gnometoaster.rulez.org/archive/gtoaster.tar.bz2
Source1: gnome-toaster_menuentry
Source2: gtoaster.xpm.bz2
Source3: gtoaster32.xpm.bz2
URL: http://gnometoaster.rulez.org/
Group: Archiving/Cd burning
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr

%description
CD-Recording frontend for GNOME.

%description -l fr
Interface graphique permettant de graver des CD-R sous GNOME

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n gtoaster

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix}

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi


%install
make install prefix=$RPM_BUILD_ROOT/%{prefix}

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/gnome-toaster
install -d  $RPM_BUILD_ROOT/usr/share/icons/mini/
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/mini/gtoaster.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/share/icons/gtoaster.xpm

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}


%clean
# rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files -f ../file.list.%{name}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO Documentation/*

%changelog
* Thu May 04 2000 Daouda Lo <daouda@mandrakesoft.com> 20000227-3mdk
- icon 32x32 and 16x16.

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 20000227-2mdk
- Fixed icon path in menu entry
- Rename menu file
- Add documentation
- Convert icon to xpm

* Thu Apr 13 2000 Daouda Lo <daouda@mandrakesoft.com> 20000227-1mdk
- release 20000227
- SMP build/check

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 19991011-2mdk
- add menu support 
- update group 

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP check/build
- 19991021 

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Initial RPM

